#ifndef WKFLAMINGHEALTHBARS_CONFIG_H
#define WKFLAMINGHEALTHBARS_CONFIG_H

#include <string>
#include <map>

class BitmapImage;
class Config {
public:
	static inline const std::string iniFile = ".\\wkFlamingHealthBars.ini";
private:
	static inline bool moduleEnabled = true;
	static inline bool devConsoleEnabled = true;

	static inline std::map<std::string, BitmapImage*> barImages;
	static inline std::map<std::string, std::string> teamBarNames;
public:
	static void readConfig();
	static bool isModuleEnabled();
	static bool isDevConsoleEnabled();

	static std::map<std::string, BitmapImage *> &getBarImages();
	static std::map<std::string, std::string> &getTeamBarNames();
};


#endif //WKFLAMINGHEALTHBARS_CONFIG_H
