#include "BitmapImage.h"
#include "Hooks.h"
#include "W2App.h"

DWORD addrLoadImgFromFile;
BitmapImage* BitmapImage::callLoadImgFromFile(DWORD DD_Display, DWORD Palette, const char * path) {
	if(!DD_Display)
		DD_Display = W2App::getAddrDdDisplay();
	if(!Palette)
		Palette = *(DWORD*)(W2App::getAddrDdDisplay() + 0x3120); // img palette
	BitmapImage* retv;
	_asm mov esi, DD_Display
	_asm push path
	_asm push Palette
	_asm call addrLoadImgFromFile
	_asm mov retv, eax
	return retv;
}

void BitmapImage::install() {
	auto & hooks = Hooks::getInstance();
	addrLoadImgFromFile = hooks.findSignature("LoadImgFromFile", "\x6A\xFF\x68\x00\x00\x00\x00\x64\xA1\x00\x00\x00\x00\x50\x64\x89\x25\x00\x00\x00\x00\x83\xEC\x0C\x8B\x44\x24\x20\x56\x68\x00\x00\x00\x00\x50\xC7\x44\x24\x00\x00\x00\x00\x00", "???????xx????xxxx????xxxxxxxxx????xxxx?????"); //0x57A2A0;
}
